// -*- coding: utf-8 -*- 
// Wanderer II at Alnitak
// JackDole 2016.08.01 19:26:15

// GeoOrbit 51811.402584

//------------------------------------------------------------------------------
// Alnitak B -------------------------------------------------------------------------
//------------------------------------------------------------------------------
Planet	"JDV-W VII/Wanderer II A"
{
    ParentBody     "Alnitak B"
    Class           "Terra"

    Mass            1.845
    Radius          9999
    
    Oblateness      0.007
    
    RotationPeriod  24
    
    Obliquity       0.0
    EqAscendNode    0.0
    
    Albedo          0.278356
    Brightness      2
    Color          (0.795 0.793 0.792)

    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial/Aerial/Subglacial"
        Panspermia "true"
    }
    
    Life
    {
        Class   "Exotic"
        Type    "Multicellular"
        Biome   "Marine/Terrestrial/Aerial/Subglacial"
        Panspermia "true"
    }
    
    Surface
    {
        SurfStyle       0.301587
        OceanStyle      0.595238
        Randomize      (-0.941, 0.825, -0.317)
        colorDistMagn   0.309524
        colorDistFreq   4.3144
        detailScale     730.605
        colorConversion true
        drivenDarkening -1
        seaLevel        0.49207
        snowLevel       0.809524
        tropicLatitude  0
        icecapLatitude  0.81746
        icecapHeight    0.460317
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.5
        mainFreq        1.30094
        venusFreq       0.809524
        venusMagn       0
        mareFreq        0.3728
        mareDensity     0.285714
        terraceProb     0.227002
        erosion         0.130936
        montesMagn      0.349206
        montesFreq      309.524
        montesSpiky     0.738095
        montesFraction  0.448074
        dunesMagn       0.31746
        dunesFreq       69.8413
        dunesFraction   0.377424
        hillsMagn       0.31746
        hillsFreq       404.641
        hillsFraction   0.671741
        hills2Fraction  0.592975
        riversMagn      55.673
        riversFreq      3.6831
        riversSin       5.25921
        riversOctaves   2
        canyonsMagn     1.03175
        canyonsFreq     62.6984
        canyonFraction  0.0410122
        cracksMagn      0.555556
        cracksFreq      1.34921
        cracksOctaves   3
        craterMagn      0.624876
        craterFreq      12.034
        craterDensity   0.0396825
        craterOctaves   7
        craterRayedFactor 0.206349
        volcanoMagn     0
        volcanoFreq     0
        volcanoDensity  0
        volcanoOctaves  0
        volcanoActivity 0
        volcanoFlows    0
        volcanoRadius   0
        volcanoTemp     0
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     1.81466
        stripeFluct     0
        stripeTwist     0
        cycloneMagn     2.77398
        cycloneFreq     0.446854
        cycloneDensity  0.031746
        cycloneOctaves  1
        /*
        colorSea       (0.040, 0.100, 0.200, 1.000)
        colorShelf     (0.150, 0.480, 0.460, 1.000)
        colorBeach     (0.740, 0.730, 0.610, 0.000)
        colorDesert    (0.450, 0.420, 0.380, 0.000)
        colorLowland   (0.480, 0.380, 0.280, 0.000)
        colorUpland    (0.600, 0.540, 0.420, 0.000)
        colorRock      (0.170, 0.160, 0.160, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 1.308)
        colorLowPlants (0.230, 0.200, 0.020, 0.000)
        colorUpPlants  (0.500, 0.470, 0.050, 0.000)

        colorSea       (0.040, 0.100, 0.200, 1.000)
        colorShelf     (0.150, 0.480, 0.460, 1.000)
        colorBeach     (0.400, 0.330, 0.280, 0.000)
        colorDesert    (0.260, 0.240, 0.220, 0.000)
        colorLowland   (0.500, 0.420, 0.350, 0.000)
        colorUpland    (0.240, 0.210, 0.210, 0.000)
        colorRock      (0.220, 0.210, 0.210, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 1.308)
        colorLowPlants (0.100, 0.160, 0.070, 0.000)
        colorUpPlants  (0.090, 0.110, 0.040, 0.000)
        */
    
        colorSea       (0.040, 0.150, 0.200, 1.000)
        colorShelf     (0.150, 0.480, 0.760, 1.000)
        colorBeach     (0.700, 0.730, 0.780, 0.000)
        colorDesert    (0.560, 0.440, 0.220, 0.000)
        colorLowland   (0.500, 0.720, 0.350, 0.000)
        colorUpland    (0.240, 0.210, 0.210, 0.000)
        colorRock      (0.220, 0.210, 0.510, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 1.308)
        colorLowPlants (0.300, 0.260, 0.370, 0.000)
        colorUpPlants  (0.190, 0.310, 0.040, 0.000)
        
        BumpHeight      18.7685
        BumpOffset      9.4855
        DiffMapAlpha   "Water"
        SpecBrightWater 0.65
        SpecBrightIce   0
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }
    
    //--------------------------------------------------------------------------
    // Deaktivated Clouds ------------------------------------------------------
    //--------------------------------------------------------------------------
    // Insert here !
    //--------------------------------------------------------------------------
    /*
    Clouds
    {
        Height          10
        DiffMap         "Wanderer/surface_glow.*"
        DiffMapAlpha    "Transp"
        BumpMap         "Wanderer/surface_bump.*"
        BumpHeight      18.7685
        BumpOffset      9.4855
        GlowMap        "Wanderer/surface_glow.*"
        GlowMode       "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      0.25
        Velocity        0
    }
    */
    Clouds
    {
        Height          25.3955
        Velocity        51.8629
        BumpHeight      15.873
        BumpOffset      4.7619
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        ModulateColor  (1.000 1.000 1.000 0.159)
        mainFreq        1.07143
        mainOctaves     9
        Coverage        0.52381
        stripeZones     1.81466
        stripeFluct     0.0952381
        stripeTwist     0.15873
    }

    Clouds
    {
        Height          1000
        DiffMap         "Wanderer/shield_diff.*"
        DiffMapAlpha    "Transp"
        BumpMap         "Wanderer/shield_bump.*"
        BumpHeight      18.7685
        BumpOffset      9.4855
        /*
        GlowMap        "Wanderer/surface_glow.*"
        GlowMode       "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      0.25
        */
        Velocity        0
    }
    
    Ocean
    {
        Height          9.2355
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
    }

    NoLava          true

    Atmosphere
    {
        Model          "Earth"
        Height          86.3988
        Density         0.848343
        Pressure        1.11588
        Greenhouse      -910.5          //35.0957
        Bright          9.52381
        Opacity         1
        SkyLight        5.39683
        Hue             -0.047619
        Saturation      1.12698

        Composition
        {
            N2    	76.0434
            O2    	23.3657
            CO2   	0.405509
            Ar    	0.112374
            H2O   	0.0730712
        }
    }

    NoRings         true
    NoAccretionDisk true
    NoCometTail     true
    
    Orbit
    {
        RefPlane        "Ecliptic"
        SemiMajorAxis   7.2      //1.00217      //1.0035
        //Period          1
        Eccentricity    0.0167086
        Inclination     0
        AscendingNode   348.739
        ArgOfPericenter -245.75
        MeanAnomaly     -2.47089
    }
}

Moon    "Follower IIa"
{
    ParentBody  "JDV-W VII"
    Class       "Selena"
    
    Radius      500
    
    Surface
    {
        //DiffMap         "NONE"
        DiffMap         "Wanderer/follower_diff.*"
        //DiffMap         "Wanderer/follower_diff"
        //DiffTileSize    258
        //DiffTileBorder  1
        BumpMap         "Wanderer/follower_bump.*"
        //BumpMap         "Wanderer/follower_bump"
        //BumpTileSize    258
        //BumpTileBorder  1
        BumpHeight      5
        BumpOffset      0
        DiffMapAlpha    "Transp"
        
        GlowMap        "Wanderer/follower_glow.*"
        //GlowMap        "Wanderer/follower_glow"
        //GlowTileSize    258
        //GlowTileBorder  1
        GlowMode       "Night"
        GlowColor      (1.00 0.30 0.66)
        GlowBright      0.125
    }
    
    Orbit
    {
        RefPlane        "Equator"
        Inclination     15
        Eccentricity    0.0
        Period          0.005476     //0.008
    }
}

//------------------------------------------------------------------------------

DwarfMoon "Cityring"
{
    ParentBody  "JDV-W VII"
    Class       "Asteroid"
    
    Radius      10025       //9749
    Mass        1e-6
    
    Oblateness      0.007
    
    RotationPeriod  24
    Obliquity       0
    EqAscendNode    0
    
    Surface
    {
        DiffMap         "Wanderer/Floor_diff.*"
        BumpMap         "Wanderer/Floor_bump.*"
        BumpHeight      37.537
        BumpOffset      18.971
        DiffMapAlpha    "Transp"
        GlowMap        "Wanderer/Floor_light.*"
        GlowMode       "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      1.0
    }
    
    //NoClouds        true
    
    Clouds
    {
        Height          50
        DiffMap         "Wanderer/energyshield.*"
        BumpMap         "Wanderer/energyshield_bump.*"
        BumpHeight      20
        BumpOffset      0
        DiffMapAlpha    "Transp"
        GlowMap        "Wanderer/energyshield.*"
        GlowMode       "Night"
        GlowColor      (1.00 0.90 0.66)
        GlowBright      1.0
        Velocity        0.0
    }
    
    Clouds
    {
        Height          -5
        DiffMap         "Wanderer/Floor_diff.*"
        BumpMap         "Wanderer/Floor_bump.*"
        BumpHeight      37.537
        BumpOffset      18.971
        DiffMapAlpha    "Transp"
        Velocity        0
    }
    
    NoOcean         true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 90.0  0.0)
}

Asteroid "N-Wall"
{
    ParentBody  "JDV-W VII"
    Class       "Asteroid"
    
    Radius      10019       //10009
    Mass        1e-6
    
    Oblateness      0.999

    RotationPeriod  24
    Obliquity       0
    EqAscendNode    0
    
    Surface
    {
        DiffMap         "Wanderer/SideRim.*"
        BumpMap         "Wanderer/SideRim_bump.*"
        DiffMapAlpha    "Transp"
    }
    
    NoClouds        true
    NoOcean         true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 90.0  1165.0)
}

Asteroid "S-Wall"
{
    ParentBody  "JDV-W VII"
    Class       "Asteroid"
    
    Radius      10019       //10009
    Mass        1e-6
    
    Oblateness      0.999

    RotationPeriod  24
    Obliquity       0
    EqAscendNode    0
    
    Surface
    {
        DiffMap         "Wanderer/SideRim.*"
        BumpMap         "Wanderer/SideRim_bump.*"
        DiffMapAlpha    "Transp"
    }
    
    NoClouds        true
    NoOcean         true
    NoAtmosphere    true
    NoAurora        true
    NoRings         true
    NoCometTail     true
    NoLighting      true
    
    StaticPosPolar  (0.0 -90.0 1165.0)
}

//------------------------------------------------------------------------------
